
# 1
ch = int('45', 8)
print(ch)

# 2.
D = {"усиление": 23, "запаздывание": 12, "постоянная времени": 78}
print(D)

D1 = list(D.keys())
D2 = list(D.values())
print(D1)
print(D2)
Kort = tuple(D1 + D2)
print(Kort)
#Список, в отличие от кортежа, изменяемый объект


# 3
res = ((1768 // 24.8) % 3) ** 2.4
print(res)

# 4
b = ((~(13&27))^14)<<2
print(b)

# 5
spisok = ['колебат'] * 4
print(spisok)
con = spisok[1] + spisok[2]
print(con)
print('аткол' in con)

# 6

dir(D)
print(D.keys()) # Отображение ключей словаря
print(D.values()) # Отображает значения словаря


# 7
data = "Создать объект - символьную строку с текстом данного предложения."
print(data)

spisok1 = list(data.split())
print(spisok1)

# Замена '-' на ','
y = spisok1.index('-')
spisok1[y] = ','
print(spisok1)
# Удаление "данного" (в тексте нет "данного", удалим другое слово для демонстрации)
spisok1.remove('данного')
print(spisok1)
